Bug 204254 - gecko-sharp2.pc file broken for x86_64
Summary: gecko-sharp2.pc file broken for x86_64
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gecko-sharp2   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-27 20:12 UTC by Paul F. Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.11-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 01:12:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
All in one patch file required to get gecko-sharp2 to be 64 bit happy (1.28 KB, patch)
2006-08-27 20:53 UTC, Paul F. Johnson
no flags Details | Diff
Fixed spec file (2.84 KB, text/plain)
2006-08-27 20:54 UTC, Paul F. Johnson
no flags Details

Description Paul F. Johnson 2006-08-27 20:12:37 UTC
Description of problem:
The -r in the .pc file is broken for x86_64, it should be 

-r: @libdir@/mono/...

Version-Release number of selected component (if applicable):
0.11-11

How reproducible:
Always

Actual results:
Anything linking against gecko-sharp2 on a non-x86 box will be pointed the wrong
way.

Comment 1 Paul F. Johnson 2006-08-27 20:53:31 UTC
Created attachment 135014 [details]
All in one patch file required to get gecko-sharp2 to be 64 bit happy

This replaces the old patch

Comment 2 Paul F. Johnson 2006-08-27 20:54:44 UTC
Created attachment 135015 [details]
Fixed spec file

This now brings the package up to the packaging guidelines for mono. It adds in
the -devel package and fixes some other bits (like having a dist tag)

Comment 3 Paul F. Johnson 2006-09-03 15:59:13 UTC
http://buildsys.fedoraproject.org/logs/fedora-development-extras/15922-monodevelop-0.11-18.fc6/x86_64/

check the build log to demonstrate the problem


Note You need to log in before you can comment on or make changes to this bug.